U++ - Bug #49
Layout editor methods order generates error in class methods
03/23/2011 12:11 PM - Ifaki Zabala

Status: Approved Start date: 03/23/2011
Priority: Normal Due date: 04/30/2011
Assignee: Ifaki Zabala % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

As explained in posts http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=31725 , in .usc classes, sometimes class methods

are after Ctrl methods.

For example, in DropTime, layout edotir can generate code like

WantFocus(false).Seconds(false)

This throws a compiler error because WantFocus method is in Ctrl but not in DropTime.

History

#1 - 04/01/2011 07:06 PM - Miroslav Fidler
- Assignee set to Ifiaki Zabala

OK, please could you go through .usc and propose a patch (.diff, or branch U++ to 'patches' and fix it there).

#2 - 04/02/2011 05:57 PM - Iiaki Zabala
- Due date set to 04/30/2011

Ok!

#3 - 04/25/2011 04:06 PM - Iiiaki Zabala

- % Done changed from 0 to 50

#4 - 05/18/2011 11:01 PM - Miroslav Fidler
- Status changed from New to Ready for QA

#5 - 05/18/2011 11:01 PM - Miroslav Fidler
- Status changed from Ready for QA to Approved

#6 - 05/19/2011 10:39 PM - Miroslav Fidler
- Status changed from Approved to New

#7 - 11/04/2011 10:34 AM - Miroslav Fidler

What is the status of this task?
#8 - 11/07/2011 09:42 PM - Iiiaki Zabala
- % Done changed from 50 to 100

#9 - 12/27/2012 10:32 AM - Ihaki Zabala
- Status changed from New to Ready for QA

#10 - 02/19/2013 11:17 AM - Miroslav Fidler
- Status changed from Ready for QA to Approved
